import { Module } from '@nestjs/common';
import { AppController } from './app.controller';
import { AppService } from './app.service';

import { AppConfigModule } from './modules/config/config.module';
import { AppDatabaseModule } from './modules/database/database.module';
import { EnumifyModule } from './modules/enumify/enumify.module';
import { AppFileTransactionsModule } from './modules/file-transactions/file-transactions.module';
import { AppHealthModule } from './modules/health/health.module';
import { AppLoggerModule } from './modules/logger/logger.module';
import { AppScheduleModule } from './modules/schedule/schedule.module';

@Module({
  imports: [
    AppConfigModule,
    AppLoggerModule,
    AppDatabaseModule,
    AppHealthModule,
    AppFileTransactionsModule,
    AppScheduleModule,
    EnumifyModule,
  ],
  controllers: [AppController],
  providers: [AppService],
})
export class AppModule {}
